Package org.apache.lucene.internal.hppc

# Class IntIntHashMap.IntIntCursor

java.lang.Object
org.apache.lucene.internal.hppc.IntIntHashMap.IntIntCursor

Enclosing class:
  `IntIntHashMap`

public static final class IntIntHashMap.IntIntCursor extends Object
Forked from HPPC, holding int index,key and value

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`index`
The current key and value's index in the container this cursor belongs to.
`int`
`key`
The current key.
`int`
`value`
The current value.

## Constructor Summary

Constructors
Constructor
Description
`IntIntCursor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### index

public int index
The current key and value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

### key

public int key
The current key.

### value

public int value
The current value.

## Constructor Details

### IntIntCursor

public IntIntCursor()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`